Skip to main content
Get multiple video classifications results
curl --request GET \
  --url https://backend.identifai.net/api/classifications_video \
  --header 'X-Api-Key: <api-key>'
[
  {
    "hash": "<string>",
    "identifier": "<string>",
    "api_version": "<string>",
    "status": "new",
    "errors": "<string>",
    "name": "<string>",
    "ref_id": "<string>",
    "result_url": "<string>",
    "is_nsfw": true,
    "verdict": {
      "heuristic": "<string>",
      "confidence": 123,
      "classification": "human",
      "count": 123,
      "models": [
        "<string>"
      ],
      "unknown": true
    },
    "verdicts": [
      {
        "heuristic": "<string>",
        "confidence": 123,
        "classification": "human",
        "count": 123,
        "models": [
          "<string>"
        ],
        "unknown": true
      }
    ],
    "force_classification": "human",
    "results": {
      "images": [
        {
          "hash": "<string>",
          "identifier": "<string>",
          "api_version": "<string>",
          "status": "new",
          "errors": "<string>",
          "name": "<string>",
          "ref_id": "<string>",
          "result_url": "<string>",
          "is_nsfw": true,
          "c2pa": {
            "manifests": {},
            "active_manifest": "<string>",
            "validation_state": "Valid",
            "validation_status": [
              {
                "url": "<string>",
                "code": "<string>",
                "explanation": "<string>"
              }
            ],
            "validation_results": {
              "activeManifest": {
                "failure": [
                  {}
                ],
                "success": [
                  {}
                ],
                "informational": [
                  {}
                ]
              },
              "ingredientDeltas": [
                {}
              ]
            }
          },
          "has_heatmap": true,
          "verdict": {
            "heuristic": "<string>",
            "confidence": 123,
            "classification": "human",
            "models": [
              "<string>"
            ]
          },
          "verdicts": [
            {
              "heuristic": "<string>",
              "confidence": 123,
              "classification": "human",
              "models": [
                "<string>"
              ]
            }
          ],
          "force_classification": "human",
          "results": [
            {
              "model": "<string>",
              "unknown": true,
              "elapsed_time": 123,
              "classification": [
                {
                  "label": "human",
                  "score": 123
                }
              ],
              "classification_details": {}
            }
          ]
        }
      ],
      "audios": [
        {
          "hash": "<string>",
          "identifier": "<string>",
          "api_version": "<string>",
          "status": "new",
          "errors": "<string>",
          "name": "<string>",
          "ref_id": "<string>",
          "result_url": "<string>",
          "verdict": {
            "heuristic": "<string>",
            "confidence": 123,
            "classification": "human",
            "models": [
              "<string>"
            ]
          },
          "verdicts": [
            {
              "heuristic": "<string>",
              "confidence": 123,
              "classification": "human",
              "models": [
                "<string>"
              ]
            }
          ],
          "force_classification": "human",
          "results": [
            {
              "model": "<string>",
              "unknown": true,
              "elapsed_time": 123,
              "classification": [
                {
                  "label": "human",
                  "score": 123
                }
              ],
              "classification_details": {}
            }
          ],
          "details": {
            "clips": [
              {
                "index": 123,
                "start": 123,
                "end": 123,
                "results": [
                  {
                    "model": "<string>",
                    "unknown": true,
                    "elapsed_time": 123,
                    "classification": [
                      {
                        "label": "human",
                        "score": 123
                      }
                    ],
                    "classification_details": {}
                  }
                ],
                "verdict": {
                  "heuristic": "<string>",
                  "confidence": 123,
                  "classification": "human",
                  "models": [
                    "<string>"
                  ]
                }
              }
            ]
          }
        }
      ]
    }
  }
]

Authorizations

X-Api-Key
string
header
required

Your API key.

Query Parameters

identifiers[]
string[]
required

A list of identifiers to retrieve classifications for.

Maximum array length: 100

Response

A list of video classifications.

hash
string

SHA-256 hash of the classified video file

identifier
string

The identifier that identifies the classified video

api_version
string | null

The API version at the time of the analysis (available from v1.1.0). The value is set when the analysis completes.

status
enum<string>

The processing status of the classification request (available from v1.1.0)

Available options:
new,
done,
errored
errors
string | null

Error messages if the status is 'errored' (available from v1.1.0)

name
string

The name of the classified video file

ref_id
string

An optional reference ID to associate with the classification request.

result_url
string<uri>

URL where the classification results can be found on the dashboard

is_nsfw
boolean | null

Indicates if NSFW (Not Safe For Work) content was detected. Only present if with_nsfw was set to true in the classification request.

verdict
object

The main classification verdict for the entire video using the user's default heuristic

verdicts
object[]

Array of verdicts for all available heuristics applied to the entire video

force_classification
enum<string> | null

If present, indicates that the user has forced the classification to the specified value

Available options:
human,
artificial
results
object

Detailed results containing analyzed frames from the video